import request from '../utils/request.js'

class commonApi extends request{
    // static constructor() {
    //     super();
    //     // this._baseUrl = 'https://live-api.shpr.top/api/'
    //     // this._defaultHeader = {}
    //     // this._request = new request
    //     // this._request.setErrorHandler(this.errorHandel)
    // }

    // static errorHandel(res) {
    //     console.log(res);
    // }
    static async getToken() {
        const res = await this.getRequest(this.BASE_URL+`Token/getToken`)
        return res.data
    }

}
export default commonApi
